/*
 * Created on 2007/03/12
 *
 *
 * Copyright(c) 2007 Yoshimasa Matsumoto
 */
package netjfwatcher.nodemap.gui.icon;

import netjfwatcher.engine.nodemaneger.map.NodeMapInfo;


public class NodeIcon {

	private boolean isValid = false;
	private boolean isSetViewList = false;
	private NodeMapInfo nodeMapinfo;
	
	private NodeIcon() {
		
	}

	/**
	 * このクラスのインスタンスを返します。<BR>
	 * （内部クラスが保持しているシングルトン・オブジェクトを 返します）<BR>
	 * 
	 * @return シングルトン・オブジェクトとしてのこのクラスの インスタンス
	 */
	public static NodeIcon getInstance() {
		return SingletonResource.RESOURCE;
	}



	/**
	 * シングルトン・オブジェクトを保持する内部クラスです。<BR>
	 * 
	 */
	private static class SingletonResource {
		static final NodeIcon RESOURCE = new NodeIcon();
	}



	public NodeMapInfo getNodeMapinfo() {
		return nodeMapinfo;
	}



	public void setNodeMapinfo(NodeMapInfo nodeMapinfo) {
		this.nodeMapinfo = nodeMapinfo;
	}



	public boolean isValid() {
		return isValid;
	}



	public void setValid(boolean isValid) {
		this.isValid = isValid;
	}



	public boolean isSetViewList() {
		return isSetViewList;
	}



	public void setSetViewList(boolean isSetViewList) {
		this.isSetViewList = isSetViewList;
	}
}
